# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.600.1.3 -> 1.600.1.4
#	drivers/usb/storage/unusual_devs.h	1.16    -> 1.17   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/09/04	bmatheny@purdue.edu	1.600.1.4
# [PATCH] Lexar USB CF Reader
# 
# Two weeks ago I sent this patch to the listed USB storage maintainer
# (mdharm-usb@one-eyed-alien.net) and have not yet heard back. The
# attached patch adds support for the Lexar USB CF Reader identified by
# id_product 0xb002, version 0x0113 (which is the version I have). This
# patch is against the 2.4.19 kernel, sorry if this is the wrong address
# to send this stuff to. Thanks.
# --------------------------------------------
#
diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Thu Sep  5 08:51:38 2002
+++ b/drivers/usb/storage/unusual_devs.h	Thu Sep  5 08:51:38 2002
@@ -310,6 +310,13 @@
 		US_FL_MODE_XLATE ),
 #endif
 
+/* Reported by Blake Matheny <bmatheny@purdue.edu> */
+UNUSUAL_DEV(  0x05dc, 0xb002, 0x0000, 0x0113,
+		"Lexar",
+		"USB CF Reader",
+		US_SC_SCSI, US_PR_BULK, NULL,
+		US_FL_FIX_INQUIRY ),
+
 /* Reported by Carlos Villegas <cav@uniscope.co.jp>
  * This device needs an INQUIRY of exactly 36-bytes to function.
  * That is the only reason this entry is needed.
